rule generate_jupyter_book:
    input:
        jb_file=f"{ frangipane_obj.install_path }/report/frangiPANe_report.ipynb",
        ref_png=f"{frangipane_obj.path_stat_plot}/00_ref.png",
        ref_csv = f"{frangipane_obj.path_stat_sum}/00_ref.txt"
    output:
        jb_file=f"{ frangipane_obj.path_output }/report/frangiPANe_stats.ipynb"
    params:
        group_file = f"{frangipane_obj.path_group}"
    log:
        output = f"{frangipane_obj.path_logs}/report/jupyterBook.o",
        error = f"{frangipane_obj.path_logs}/report/jupyterBook.e"

    script:
        f"{ frangipane_obj.snakemake_scripts }/generate_jb_frangiPANe.py"
